## visad
Class RendererControl

    java.lang.Object
      visad.Control
          visad.RendererControl

All Implemented Interfaces:
  Cloneable, Serializable

public class RendererControl
extends Control

`RendererControl` is the VisAD class for controlling `DisplayRenderer` data.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.Control
`display, displayRenderer`

Constructor Summary
`RendererControl(DisplayImpl dpy)` Construct a renderer control.

Method Summary
`Object` `clone()`
`boolean` `equals(Object o)` Compare this object to another object.
`float[]` `getBackgroundColor()` Get the background color.
`float[]` `getBoxColor()` Get the box color.
`boolean` `getBoxOn()` Get the box visibility.
`float[]` `getCursorColor()` Get the cursor color.
`float[]` `getForegroundColor()` Get the foreground color set using `setForegroundColor(float, float, float)`.
`String` `getSaveString()` get a string that can be used to reconstruct this control later
`void` `setBackgroundColor(Color color)` Set the background color.
`void` `setBackgroundColor(float r, float g, float b)` Set the background color.
`void` `setBoxColor(Color color)` Set the box color.
`void` `setBoxColor(float r, float g, float b)` Set the box color.
`void` `setBoxOn(boolean on)` Set the box visibility.
`void` `setCursorColor(Color color)` Set the cursor color.
`void` `setCursorColor(float r, float g, float b)` Set the cursor color.
`void` `setForegroundColor(Color color)` Convenience method to set the foreground color (box, cursor and axes).
`void` `setForegroundColor(float r, float g, float b)` Convenience method to set the foreground color (box, cursor and axes).
`void` `setSaveString(String save)` reconstruct this control using the specified save string
`void` `syncControl(Control ctl)` Copy the state of the specified control.
`String` `toString()`

Methods inherited from class visad.Control
`addControlListener, animation_string, changeControl, checkTicks, getDisplay, getDisplayRenderer, getIndex, getInstanceNumber, incTick, nullControl, peekTicks, removeControlListener, resetTicks, setIndex, setInstanceNumber, setTicks, subCheckTicks, subPeekTicks, subResetTicks, subSetTicks`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RendererControl

    public RendererControl(DisplayImpl dpy)

  Construct a renderer control.

Parameters:
  `dpy` - Display with which this control is associated.

Method Detail

### getBackgroundColor

    public float[] getBackgroundColor()

  Get the background color.

  Returns:
    A 3 element array of `float` values in the range `[0.0f - 1.0f]` in the order (Red, Green, Blue).

### setBackgroundColor

    public void setBackgroundColor(Color color)
                            throws RemoteException,
                                   VisADException

  Set the background color.

  Parameters:
    `color` - background color
  Throws:
    `RemoteException`
    `VisADException`

### setBackgroundColor

    public void setBackgroundColor(float r,
                                   float g,
                                   float b)
                            throws RemoteException,
                                   VisADException

  Set the background color. All specified values should be in the range `[0.0f - 1.0f]`.

  Parameters:
    `r` - Red value.
    `g` - Green value.
    `b` - Blue value.
  Throws:
    `RemoteException`
    `VisADException`

### getForegroundColor

    public float[] getForegroundColor()

  Get the foreground color set using `setForegroundColor(float, float, float)`. NOTE: The values returned may not be indicative of the actual color of any of the components of the foreground (box, cursor, axes) since the color of each of these can be set individually.

  Returns:
    A 3 element array of `float` values in the range `[0.0f - 1.0f]` in the order (Red, Green, Blue).
  See Also:
    `setForegroundColor(float, float, float)`

### setForegroundColor

    public void setForegroundColor(Color color)
                            throws RemoteException,
                                   VisADException

  Convenience method to set the foreground color (box, cursor and axes). Overrides any previous calls to setCursorColor, setBoxColor and ScalarMap.setScaleColor().

  Parameters:
    `color` - foreground color
  Throws:
    `RemoteException`
    `VisADException`

### setForegroundColor

    public void setForegroundColor(float r,
                                   float g,
                                   float b)
                            throws RemoteException,
                                   VisADException

  Convenience method to set the foreground color (box, cursor and axes). Overrides any previous calls to setCursorColor, setBoxColor and ScalarMap.setScaleColor(). All specified values should be in the range `[0.0f - 1.0f]`.

  Parameters:
    `r` - Red value.
    `g` - Green value.
    `b` - Blue value.
  Throws:
    `RemoteException`
    `VisADException`
  See Also:
    `getForegroundColor()`, `setCursorColor(float, float, float)`, `setBoxColor(float, float, float)`, `ScalarMap.setScaleColor(float[])`

### getBoxColor

    public float[] getBoxColor()

  Get the box color.

  Returns:
    A 3 element array of `float` values in the range `[0.0f - 1.0f]` in the order (Red, Green, Blue).

### getBoxOn

    public boolean getBoxOn()

  Get the box visibility.

  Returns:
    `true` if the box is visible.

### setBoxColor

    public void setBoxColor(Color color)
                     throws RemoteException,
                            VisADException

  Set the box color.

  Parameters:
    `color` - box color
  Throws:
    `RemoteException`
    `VisADException`

### setBoxColor

    public void setBoxColor(float r,
                            float g,
                            float b)
                     throws RemoteException,
                            VisADException

  Set the box color. All specified values should be in the range `[0.0f - 1.0f]`.

  Parameters:
    `r` - Red value.
    `g` - Green value.
    `b` - Blue value.
  Throws:
    `RemoteException`
    `VisADException`

### setBoxOn

    public void setBoxOn(boolean on)
                  throws RemoteException,
                         VisADException

  Set the box visibility.

  Parameters:
    `on` - `true` if the box should be visible.
  Throws:
    `RemoteException`
    `VisADException`

### getCursorColor

    public float[] getCursorColor()

  Get the cursor color.

  Returns:
    A 3 element array of `float` values in the range `[0.0f - 1.0f]` in the order (Red, Green, Blue).

### setCursorColor

    public void setCursorColor(Color color)
                        throws RemoteException,
                               VisADException

  Set the cursor color.

  Parameters:
    `color` - cursor color
  Throws:
    `RemoteException`
    `VisADException`

### setCursorColor

    public void setCursorColor(float r,
                               float g,
                               float b)
                        throws RemoteException,
                               VisADException

  Set the cursor color. All specified values should be in the range `[0.0f - 1.0f]`.

  Parameters:
    `r` - Red value.
    `g` - Green value.
    `b` - Blue value.
  Throws:
    `RemoteException`
    `VisADException`

### getSaveString

    public String getSaveString()

  get a string that can be used to reconstruct this control later

  Specified by:
    `getSaveString` in class `Control`
  Returns:
    String representation of this Control

### setSaveString

    public void setSaveString(String save)
                       throws VisADException,
                              RemoteException

  reconstruct this control using the specified save string

  Specified by:
    `setSaveString` in class `Control`
  Parameters:
    `save` - - String representation for reconstruction
  Throws:
    `VisADException` - if a VisAD error occurs
    `RemoteException` - if an RMI error occurs

### syncControl

    public void syncControl(Control ctl)
                     throws VisADException

  Copy the state of the specified control.

  Specified by:
    `syncControl` in class `Control`
  Parameters:
    `ctl` - `Control` to copy.
  Throws:
    `VisADException` - if a VisAD error occurs

### equals

    public boolean equals(Object o)

  Compare this object to another object.

  Overrides:
    `equals` in class `Control`
  Parameters:
    `o` - Object to compare.
  Returns:
    `true` if this object is "equal" to the specified object.

### clone

    public Object clone()

  Overrides:
    `clone` in class `Control`
  Returns:
    a copy of this Control

### toString

    public String toString()

  Overrides:
    `toString` in class `Control`
  Returns:
    a simple String representation of this Control